com.amazonaws.services.cloudfront.model

## Class CookiePreference

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CookiePreference

All Implemented Interfaces:
  Serializable, Cloneable

    public class CookiePreference
    extends Object
    implements Serializable, Cloneable

A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CookiePreference()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CookiePreference` `clone()`
`boolean` `equals(Object obj)`
`String` `getForward()` Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.
`CookieNames` `getWhitelistedNames()` Required if you specify `whitelist` for the value of `Forward:`.
`int` `hashCode()`
`void` `setForward(ItemSelection forward)` Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.
`void` `setForward(String forward)` Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.
`void` `setWhitelistedNames(CookieNames whitelistedNames)` Required if you specify `whitelist` for the value of `Forward:`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CookiePreference` `withForward(ItemSelection forward)` Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.
`CookiePreference` `withForward(String forward)` Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.
`CookiePreference` `withWhitelistedNames(CookieNames whitelistedNames)` Required if you specify `whitelist` for the value of `Forward:`.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CookiePreference

    public CookiePreference()

### Method Detail

#### setForward

    public void setForward(String forward)

Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Parameters:
  `forward` - Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

  Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

See Also:
  `ItemSelection`

#### getForward

    public String getForward()

Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Returns:
  Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

  Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

See Also:
  `ItemSelection`

#### withForward

    public CookiePreference withForward(String forward)

Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Parameters:
  `forward` - Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

  Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ItemSelection`

#### setForward

    public void setForward(ItemSelection forward)

Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Parameters:
  `forward` - Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

  Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

See Also:
  `ItemSelection`

#### withForward

    public CookiePreference withForward(ItemSelection forward)

Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Parameters:
  `forward` - Specifies which cookies to forward to the origin for this cache behavior: all, none, or the list of cookies specified in the `WhitelistedNames` complex type.

  Amazon S3 doesn't process cookies. When the cache behavior is forwarding requests to an Amazon S3 origin, specify none for the `Forward` element.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ItemSelection`

#### setWhitelistedNames

    public void setWhitelistedNames(CookieNames whitelistedNames)

Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames` . If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

Parameters:
  `whitelistedNames` - Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

  If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames`. If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

  For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

#### getWhitelistedNames

    public CookieNames getWhitelistedNames()

Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames` . If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

Returns:
  Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

  If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames`. If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

  For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

#### withWhitelistedNames

    public CookiePreference withWhitelistedNames(CookieNames whitelistedNames)

Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames` . If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

Parameters:
  `whitelistedNames` - Required if you specify `whitelist` for the value of `Forward:`. A complex type that specifies how many different cookies you want CloudFront to forward to the origin for this cache behavior and, if you want to forward selected cookies, the names of those cookies.

  If you specify `all` or none for the value of `Forward`, omit `WhitelistedNames`. If you change the value of `Forward` from `whitelist` to all or none and you don't delete the `WhitelistedNames` element and its child elements, CloudFront deletes them automatically.

  For the current limit on the number of cookie names that you can whitelist for each cache behavior, see Amazon CloudFront Limits in the AWS General Reference.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CookiePreference clone()

Overrides:
  `clone` in class `Object`